View Issue Details

IDProjectCategoryView StatusLast Update
0001416LazarusIDEpublic2012-03-16 13:18
ReporterAles KatonaAssigned ToMattias Gaertner 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86OSLinuxOS Version
Product Version0.9.11 (SVN)Product Build 
Target Version1.2.0Fixed in Version0.9.31 (SVN) 
Summary0001416: Removing FCL from package dependencies make package uncompilable
DescriptionRemoving FCL from package dependencies make package uncompilable
The error always is:
Fatal: Can't find unit LazarusPackageIntf
Steps To ReproduceOpen package in Lazarus. Try to compile. Notice that TComponent is in Classes(RTL).
TagsNo tags attached.
Fixed in Revision
LazTarget1.2
WidgetsetGTK
Attached Files

Activities

2005-11-09 16:41

 

example.tar.gz (927 bytes)

Vincent Snijders

2006-01-15 08:54

manager   ~0001966

There is more to it, then I can see now. Especially the check for compiled files is more important now, and I don't know how I can implement that.

Zeljan Rikalo

2011-04-07 14:18

developer   ~0047318

This is still valid issue ?

Vincent Snijders

2011-10-10 11:23

manager   ~0052818

Yes, this still occurs.

Zeljan Rikalo

2012-02-04 12:02

developer   ~0056339

Not blocker, postponing. Also assigned to Mattias so he can review and see what to do with this one.

Vincent Snijders

2012-03-16 13:18

manager   ~0057719

This has been fixed in 0.9.31, I think.

Issue History

Date Modified Username Field Change
2005-11-09 16:41 Ales Katona New Issue
2005-11-09 16:41 Ales Katona File Added: example.tar.gz
2005-11-09 16:41 Ales Katona Widgetset => GTK
2005-11-10 05:31 Vincent Snijders Status new => assigned
2005-11-10 05:31 Vincent Snijders Assigned To => Vincent Snijders
2005-11-11 04:54 Vincent Snijders Target => -
2005-11-11 04:54 Vincent Snijders Status assigned => confirmed
2006-01-15 08:54 Vincent Snijders Note Added: 0001966
2006-01-15 08:54 Vincent Snijders Status confirmed => acknowledged
2006-01-15 09:17 Vincent Snijders Assigned To Vincent Snijders =>
2006-03-27 03:25 Vincent Snijders Target - => 1.0
2008-04-24 09:57 Vincent Snijders Target Version => 1.0.0
2011-04-07 14:18 Zeljan Rikalo Note Added: 0047318
2011-04-07 14:18 Zeljan Rikalo Status acknowledged => feedback
2011-10-10 11:23 Vincent Snijders Note Added: 0052818
2011-10-10 11:23 Vincent Snijders Status feedback => acknowledged
2012-02-04 12:02 Zeljan Rikalo LazTarget 1.0 => 1.2
2012-02-04 12:02 Zeljan Rikalo Note Added: 0056339
2012-02-04 12:02 Zeljan Rikalo Assigned To => Mattias Gaertner
2012-03-13 07:50 Vincent Snijders Target Version 1.0.0 => 1.2.0
2012-03-16 13:18 Vincent Snijders Status acknowledged => resolved
2012-03-16 13:18 Vincent Snijders Fixed in Version => 0.9.31 (SVN)
2012-03-16 13:18 Vincent Snijders Resolution open => fixed
2012-03-16 13:18 Vincent Snijders Note Added: 0057719